Subject: Re: [xml2rfc] request for anchor query magic

From: "HANSEN, TONY L" <[email-masked]>
Date: Thu, 16 Aug 2018 20:12:46 +0000

Sean, I did some playing around with server anchor query magic.

Try this query:

https://xml2rfc.tools.ietf.org/public/rfc/bibxml-misc/reference.ITU.X690.1994.xml?anchor=X.690

There are some issues with doing this for "bibxml2", but doing it under "bibxml-misc" was rather easy. "bibxml-misc" has been an alias for "bibxml2" for a number of years.

If this satisfies your need, I'll look into making a similar change for the other bibxml-foo names.

	Tony

On 6/9/16, 2:41 AM, "Sean Leonard" <[email-masked]> wrote:

    On 6/8/2016 11:15 AM, Julian Reschke wrote:
    > On 2016-06-08 18:46, Sean Leonard wrote:
    >> To Citations:
    >>
    >> I have a further request, that you add some server side code for "anchor
    >> query magic".
    >>
    >> Right now, reference anchors like "ITU.X690.1994" are fixed and ugly.
    >> Please enable substitution query logic, such that the anchor can be
    >> manipulated by GET request. For example:
    >>
    >> http://xml2rfc.ietf.org/public/rfc/bibxml2/reference.ITU.X.690.2015.xml?anchor=X.690